%define       name    owncloud
%define       version 1.1
%define       release %mkrel 1

Summary:      Open personal cloud
Name:         %{name}
Version:      %{version}
Release:      %{release}
Source0:      http://owncloud.org/releases/%{name}-%{version}.tar.bz2
License:      AGPLv3
Group:        Monitoring
Url:          http://owncloud.org/
BuildRoot:    %{_tmppath}/%{name}-buildroot
BuildRequires: apache-base
Requires:     php >= 4.1
Requires:     apache-base
Requires:     apache-mod_php
%if %mdkversion < 201010
Requires(post):   rpm-helper
Requires(postun):   rpm-helper
%endif
BuildArch:    noarch

%description
A personal cloud server which runs on you personal server 
and enables accessing your data from everywhere and sharing 
with other people.

%post
%if %mdkversion < 201010
%_post_webapp
%endif

%postun
%if %mdkversion < 201010
%_postun_webapp
%endif

%files
%defattr(-,root,root)
%attr(-,apache,apache) %_datadir/%name
%config(noreplace) %_sysconfdir/httpd/conf/webapps.d/%{name}.conf

#--------------------------------------------------------------------


%prep
%setup -q -n %name 

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %buildroot%_datadir/owncloud
(
cd %buildroot%_datadir
tar xjf %{SOURCE0}
)


mkdir -p %buildroot%_sysconfdir/httpd/conf/webapps.d
cat > %buildroot%_sysconfdir/httpd/conf/webapps.d/%{name}.conf <<EOF
# %{name} configuration
Alias /%name %_datadir/%name
<Directory %_datadir/%name>
    Order allow,deny
    Allow from all
</Directory>

EOF

%clean
rm -rf $RPM_BUILD_ROOT




%changelog
* Fri Nov 26 2010 Funda Wang <fwang@mandriva.org> 1.1-1mdv2011.0
+ Revision: 601453
- 1.1 final

* Mon Aug 02 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.1-0.2mdv2011.0
+ Revision: 564901
- New snapshot

* Mon Jul 26 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.1-0.1mdv2011.0
+ Revision: 560853
- Update git snapshot ( pre 1.1 )

* Thu Apr 15 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0-0.6mdv2010.1
+ Revision: 535024
- Update to new git snapshot

* Tue Mar 30 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0-0.5mdv2010.1
+ Revision: 528969
- New owncloud snapshot

* Fri Mar 26 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0-0.4.1mdv2010.1
+ Revision: 527607
- Change versionning
- Update owncloud snapshot

* Wed Mar 24 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0-0.3f88fb9f.1mdv2010.1
+ Revision: 527202
- import owncloud


